## robocode.control.snapshot
Class BulletState

    java.lang.Object
      java.lang.Enum
          robocode.control.snapshot.BulletState

All Implemented Interfaces:
  Serializable, Comparable

    public final class BulletState

extends Enum

Defines a bullet state, which can be: just fired, moving somewhere, hitting a victim, hitting another bullet, hitting the wall, exploded, or inactive.

Since:
  1.6.2
Author:
  Flemming N. Larsen (original)
See Also:
  Serialized Form

Field Summary
`static BulletState` `EXPLODED` The bullet currently represents a robot explosion, i.e. a robot death.
`static BulletState` `FIRED` The bullet has just been fired this turn and hence just been created.
`static BulletState` `HIT_BULLET` The bullet has hit another bullet.
`static BulletState` `HIT_VICTIM` The bullet has hit a robot victim.
`static BulletState` `HIT_WALL` The bullet has the wall, i.e. one of the four borders of the battlefield.
`static BulletState` `INACTIVE` The bullet is currently inactive.
`static BulletState` `MOVING` The bullet is now moving across the battlefield, but has not hit anything yet.

Method Summary
`int` `getValue()` Returns the state as an integer value.
`static BulletState` `toState(int value)` Returns a BulletState based on an integer value that represents a BulletState.
`static BulletState` `valueOf(String name)`
`static BulletState[]` `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FIRED

    public static final BulletState FIRED

  The bullet has just been fired this turn and hence just been created. This state only last one turn.

### MOVING

    public static final BulletState MOVING

  The bullet is now moving across the battlefield, but has not hit anything yet.

### HIT_VICTIM

    public static final BulletState HIT_VICTIM

  The bullet has hit a robot victim.

### HIT_BULLET

    public static final BulletState HIT_BULLET

  The bullet has hit another bullet.

### HIT_WALL

    public static final BulletState HIT_WALL

  The bullet has the wall, i.e. one of the four borders of the battlefield.

### EXPLODED

    public static final BulletState EXPLODED

  The bullet currently represents a robot explosion, i.e. a robot death.

### INACTIVE

    public static final BulletState INACTIVE

  The bullet is currently inactive. Hence, it is not active or visible on the battlefield.

Method Detail

### values

    public static BulletState[] values()

### valueOf

    public static BulletState valueOf(String name)

### getValue

    public int getValue()

  Returns the state as an integer value.

  Returns:
    an integer value representing this state.
  See Also:
    `BulletState.toState(int)`

### toState

    public static BulletState toState(int value)

  Returns a BulletState based on an integer value that represents a BulletState.

  Parameters:
    `value` - the integer value that represents a specific BulletState.
  Returns:
    a BulletState that corresponds to the specific integer value.
  Throws:
    `IllegalArgumentException` - if the specified value does not correspond to a BulletState and hence is invalid.
  See Also:
    `BulletState.getValue()`

Copyright © 2010 Robocode. All Rights Reserved.